(function(){
    window.bazingaApp.views.assessmentCheckboxScreen = window.bazingaApp.views.abstractModuleView.extend({
        checkScore : function(checkboxes){
           var currentScore = window.bazingaApp.models.api.getPrimaryScore() || 0;
			
            if(checkboxes.state == 'passed'){
                console.log("Checkbox was successfully completed");
                window.bazingaApp.models.api.setPageScore(100);
            } else{
				
				var score = 0;
				var totalScore = $('[data-feedback]').length;
				
				$('[data-caf]').each(function(){
					
						if ( $(this).css('display') == 'block')
						{
						  score = score + 1;
						}
					});
				
				var percent = Math.round((score/totalScore)*100);
				
				window.bazingaApp.models.api.setPageScore(percent);
				
			}
        },

        //https://gist.github.com/anonymous/a777a5b7d2e8f0de9931
        completionCheck: function(context,options){
            var self=this;
			
            switch(options.tgtType){
                case "checkboxes":
                    var source = options.source;
                    self.checkScore(source);
                    break;
                default:
                    break;
            }
        },

        loaded: function(){
        }
    });

    window.pageIntialized= false;
    $(document).ready(function(){
        window.bazingaApp.assessmentCheckboxScreen = new  window.bazingaApp.views.assessmentCheckboxScreen ();
        window.bazingaApp.assessmentCheckboxScreen.load();
        //dont put js scripts in here . use the pageview.loaded function to start initializing page level functionalities
    });
}());
